org.apache.storm.sql.planner.streams.rel

## Enum StreamsLogicalConvention

- java.lang.Object
- - java.lang.Enum<StreamsLogicalConvention>
  - - org.apache.storm.sql.planner.streams.rel.StreamsLogicalConvention

- All Implemented Interfaces:
    Serializable, Comparable<StreamsLogicalConvention>, org.apache.calcite.plan.Convention, org.apache.calcite.plan.RelTrait

      public enum StreamsLogicalConvention
      extends Enum<StreamsLogicalConvention>
      implements org.apache.calcite.plan.Convention

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.calcite.plan.Convention

      `org.apache.calcite.plan.Convention.Impl`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.calcite.plan.Convention

      `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canConvertConvention(org.apache.calcite.plan.Convention toConvention)`
    `Class` | `getInterface()`
    `String` | `getName()`
    `org.apache.calcite.plan.RelTraitDef` | `getTraitDef()`
    `void` | `register(org.apache.calcite.plan.RelOptPlanner planner)`
    `boolean` | `satisfies(org.apache.calcite.plan.RelTrait trait)`
    `String` | `toString()`
    `boolean` | `useAbstractConvertersForConversion(org.apache.calcite.plan.RelTraitSet fromTraits, org.apache.calcite.plan.RelTraitSet toTraits)`
    `static StreamsLogicalConvention` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StreamsLogicalConvention[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.calcite.plan.RelTrait

      `equals, hashCode`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final StreamsLogicalConvention INSTANCE

  - ### Method Detail

    - #### values

          public static StreamsLogicalConvention[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreamsLogicalConvention c : StreamsLogicalConvention.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreamsLogicalConvention valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getInterface

          public Class getInterface()

      Specified by:
        `getInterface` in interface `org.apache.calcite.plan.Convention`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.apache.calcite.plan.Convention`

    - #### getTraitDef

          public org.apache.calcite.plan.RelTraitDef getTraitDef()

      Specified by:
        `getTraitDef` in interface `org.apache.calcite.plan.RelTrait`

    - #### satisfies

          public boolean satisfies(org.apache.calcite.plan.RelTrait trait)

      Specified by:
        `satisfies` in interface `org.apache.calcite.plan.RelTrait`

    - #### register

          public void register(org.apache.calcite.plan.RelOptPlanner planner)

      Specified by:
        `register` in interface `org.apache.calcite.plan.RelTrait`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `org.apache.calcite.plan.RelTrait`
      Overrides:
        `toString` in class `Enum<StreamsLogicalConvention>`

    - #### canConvertConvention

          public boolean canConvertConvention(org.apache.calcite.plan.Convention toConvention)

      Specified by:
        `canConvertConvention` in interface `org.apache.calcite.plan.Convention`

    - #### useAbstractConvertersForConversion

          public boolean useAbstractConvertersForConversion(org.apache.calcite.plan.RelTraitSet fromTraits,
                                                            org.apache.calcite.plan.RelTraitSet toTraits)

      Specified by:
        `useAbstractConvertersForConversion` in interface `org.apache.calcite.plan.Convention`

Copyright © 2021 The Apache Software Foundation. All rights reserved.